---
title: VS Code 占用 CPU 100%
date: 2020-03-25 10:03:26
tags:
    - VS Code
    - 开发工具
categories:
    - 开发工具
---

VS Code 作为 Microsoft 开发的代码编辑器，免费、开源、跨平台，而且颜值高，关键是插件丰富，支持多种语言、IntelliSense 智能感知、强大的调试功能、内置 git 操作等等，让我对这款软件爱不释手，在这里跟网友安利一波。

VS Code 平时我用着也没什么问题，~~（可能是因为我平时项目小），~~不过最近需要用 Vue 写前端，使用 Vue CLI 新建了一个项目：
```
vue init webpack my-project
```
然后用 VS Code 打开，这下子不得了，电脑的 CPU 占用率居然到了 100%，风扇“转呀转呀转不停”，整个电脑变得特别卡。艰难地打开了任务管理器，在 VS Code 下看到了两个 `rg.exe` 的进程，CPU 基本上都是被它占满的。上网找了下，早在 2018 年就有人遇到了这个问题，~~话说这都 2020 年了，~~**解决方法是在设置里将 `Search: Follow Symlinks` 关掉**。

```json
"search.followSymlinks": false
```



> 相关链接：  
> Visual Studio Code 官网：<https://code.visualstudio.com>  
> Vue.js 官网：<https://cn.vuejs.org>

